Skip to content

List labels for a release

GET/api/v1/workspaces/{workspace_slug}/releases/{release_id}/labels/

Returns a list of all labels attached to a release.

Path Parameters

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

release_id:requiredstring

The unique identifier for the release.

Query Parameters

per_page:optionalinteger

Number of results per page. Defaults to 20.

cursor:optionalstring

Cursor string for pagination in the format value:offset:is_prev.

Scopes

releases:read

List labels for a release
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/labels/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
Response200
json
{
  "next_cursor": "20:1:0",
  "prev_cursor": "",
  "next_page_results": false,
  "prev_page_results": false,
  "count": 1,
  "total_pages": 1,
  "total_results": 1,
  "extra_stats": null,
  "results": [
    {
      "id": "f6a7b8c9-d0e1-2345-fabc-678901234567",
      "name": "Breaking change",
      "color": "#FF5630",
      "sort_order": 10,
      "workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
      "project": null
    }
  ]
}